// $Id: Logging_Service.cpp 76591 2007-01-25 18:17:52Z elliott_c $

#include "Logging_Service_i.h"
#include "tao/debug.h"

ACE_RCSID(Logging_Service, Logging_Service, "$Id: Logging_Service.cpp 76591 2007-01-25 18:17:52Z elliott_c $")

int
main (int argc, char *argv[])
{
  // Set TAO_debug_level to 0 to ensure silent running unless
  // debugging is explicitly invoked
  TAO_debug_level = 0;

  Logger_Server log_server;

  try
    {
      int ret = log_server.init (argc, argv);
      if (ret == -1)
        return 1;
      else
        {
          log_server.run ();
        }
    }
  catch (const CORBA::SystemException& sysex)
    {
      sysex._tao_print_exception ("System Exception");
      return -1;
    }
  catch (const CORBA::UserException& userex)
    {
      userex._tao_print_exception ("User Exception");
      return -1;
    }

  return 0;
}
